Bug 160318 - configure fails citing zlib.h missing with editors/libreoffice 3.4.2.3 on 9.0-BETA1
configure fails citing zlib.h missing with editors/libreoffice 3.4.2.3 on 9.0...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: office
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-30 19:10 UTC by Garrett Cooper,425-314-3911
Modified: 2013-02-03 22:29 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Garrett Cooper,425-314-3911 freebsd_committer 2011-08-30 19:10:07 UTC
===>  Script "configure" failed unexpectedly.
Please report the problem to bapt@FreeBSD.org [maintainer] and attach the
"/usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.2.3/config.log"
including the output of the failure of your make command. Also, it might be
a good idea to provide an overview of all packages installed on your system
(e.g. an `ls /var/db/pkg`).
*** Error code 1

Stop in /usr/ports/editors/libreoffice.
*** Error code 1

Stop in /usr/ports/editors/libreoffice.

$ find /usr/include/ -name zlib.h
/usr/include/net/zlib.h
/usr/include/zlib.h

# snippet from config.log

configure:13312: checking which zlib to use
configure:13317: result: external
configure:13320: checking zlib.h usability
configure:13320: cc -c -O2 -pipe -fno-strict-aliasing -pipe -O2 -march=core2 -I/usr/local/include -I/usr/local/include/db42 -L/usr/local/lib  conftest.c >&5
configure:13320: $? = 0
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "LibreOffice"
| #define PACKAGE_TARNAME "libreoffice"
| #define PACKAGE_VERSION "3.4"
| #define PACKAGE_STRING "LibreOffice 3.4"
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE_URL "http://documentfoundation.org/"
| #define SIZEOF_LONG 8
| #define HAVE_MALLOC 1
| #define HAVE_REALLOC 1
| #define HAVE_CALLOC 1
| #define HAVE_FREE 1
| /* end confdefs.h.  */
| #include <stdio.h>
| #ifdef HAVE_SYS_TYPES_H
| # include <sys/types.h>
| #endif
| #ifdef HAVE_SYS_STAT_H
| # include <sys/stat.h>
| #endif
| #ifdef STDC_HEADERS
| # include <stdlib.h>
| # include <stddef.h>
| #else
| # ifdef HAVE_STDLIB_H
| #  include <stdlib.h>
| # endif
| #endif
| #ifdef HAVE_STRING_H
| # if !defined STDC_HEADERS && defined HAVE_MEMORY_H
| #  include <memory.h>
| # endif
| # include <string.h>
| #endif
| #ifdef HAVE_STRINGS_H
| # include <strings.h>
| #endif
| #ifdef HAVE_INTTYPES_H
| # include <inttypes.h>
| #endif
| #ifdef HAVE_STDINT_H
| # include <stdint.h>
| #endif
| #ifdef HAVE_UNISTD_H
| # include <unistd.h>
| #endif
| #include <zlib.h>
configure:13320: result: no
configure:13320: checking zlib.h presence
configure:13320: cpp  conftest.c
configure:13320: $? = 0
configure:13320: result: yes
configure:13320: WARNING: zlib.h: present but cannot be compiled
configure:13320: WARNING: zlib.h:     check for missing prerequisite headers?
configure:13320: WARNING: zlib.h: see the Autoconf documentation
configure:13320: WARNING: zlib.h:     section "Present But Cannot Be Compiled"
configure:13320: WARNING: zlib.h: proceeding with the compiler's result
configure:13320: checking for zlib.h
configure:13320: result: no
configure:13324: error: zlib.h not found. install zlib

How-To-Repeat: 1. Install 9-BETA1.
2. make -C /usr/ports/editors/libreoffice install
Comment 1 Mark Linimon freebsd_committer 2011-08-31 00:31:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->office

Fix synopsis and assign.
Comment 2 Baptiste Daroussin freebsd_committer 2011-09-05 12:48:29 UTC
State Changed
From-To: open->closed

Should be fixed in libreoffice 3.4.3.